<form class="form upload-form" enctype="multipart/form-data">
  <input ng-file="ctrlUpload.file" ng-change="ctrlUpload.labelValue" type="file" name="sampleFile" id="sampleFile"
    class="upload-field" />
    <label ng-bind="ctrlUpload.labelValue" for="sampleFile" class="label upload-form__label"></label>
  <button ng-click="ctrlUpload.uploadFile()" type="button" class="submit-upload">Upload!</button>
</form>